/*
 * The MIT License
 *
 * Copyright 2013 Masahiko, SAWAI <masahiko.sawai@gmail.com>.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.routine_work.simple_battery_logger.dropbox_uploader;

import java.io.File;

/**
 *
 * @author Masahiko, SAWAI <masahiko.sawai@gmail.com>
 */
public class CsvUploadStatus implements Comparable<CsvUploadStatus>
{

	File file;
	long uploadedModified = -1;
	long currentModified = -1;

	public CsvUploadStatus(File csvFile)
	{
		this.file = csvFile;
		currentModified = csvFile.lastModified();
	}

	public File getFile()
	{
		return file;
	}

	public String getFileName()
	{
		return file.getName();
	}

	public long getUploadedModified()
	{
		return uploadedModified;
	}

	public void setUploadedModified(long uploadedModified)
	{
		this.uploadedModified = uploadedModified;
	}

	public long getCurrentModified()
	{
		return currentModified;
	}

	public boolean checkNecessaryToUpload()
	{
		boolean result = true;
		if (uploadedModified >= currentModified)
		{
			result = false;
		}
		return result;
	}

	public int compareTo(CsvUploadStatus o)
	{
		return file.compareTo(o.file);
	}
}